Introduction

简介

欢迎使用 BlazeRouter 教程。你可以在任何时候停止本教程，以后再恢复本教程。

本教程提供了设计文件。在本教程中，你能够建立、保存并使用这些设计文件，或者使用提供的设计文件。 警告。

本教程包括四个课程的内容：

  • BlazeRouter 用户界面(User Interface)的概念

  • 使用可活动的(Dockable)面板(Panes)

  • 设计准备

  • 自动布线你的设计

有关查看教程的标题的注释

为了查看在本教程中有些标题的字符内容，你需要滚动帮助(Help)窗口的滚动条。如果你的鼠标具有滚动轮，你可以滚动这个滚动轮查看整个帮助(Help)内容 (当帮助(Help)窗口是当前活动窗口时)。

有关教程导航(Navigating)的注释

在教程各个标题的底部，你可以发现一个导航(navigation)按钮。向前或向后的箭头，带你进入教程的前一个或后一个标题，一个标题一个标题的进行。这与帮助(Help)工具条上的向前或向后按钮不同。对于教程，使用这些按钮仅仅对各个标题起作用。

(按鼠标左键(Click) 按鼠标左键并松开左键 得到更多有关部门信息的注释)。

翻译：
上海银利电子有限公司
电话：021 - 54187052，54620393
传真：021 - 54187052
电子邮件： webmaster@winnet.com.cn; winnet@public1.sta.net.cn
网址：www.winnet.com.cn


Lesson 1 BlazeRouter User Interface Concepts

第一课：BlazeRouter 用户界面(User Interface)的概念(Concepts)

BlazeRouter 的用户界面(User Interface)设计的非常容易使用，并且十分的有效。BlazeRouter 用户界面的设计既能够满足高级用户的需要，同时也考虑到初学者的因素。

在继续操作之前，如果你还没有启动 BlazeRouter ，启动BlazeRouter并打开一个设计文件。

怎么操作? (按鼠标左键(Click) 按下并松开鼠标左键 在怎么操作上？ 得到更多的信息)。

1. 按 Start，指向 Programs，指向 PADS-PowerPCB，然后按 BlazeRouter。

2. 按 标准(standard) 工具条(toolbar)上 File 菜单下的 Open。如果一个对话框出现，提示你保存当前的设计文件，按 No。Open BlazeRouter Design 对话框将出现。

3. 在 Open BlazeRouter Design 对话框内，按 preview.pcb 文件，然后按 Open。

这课覆盖下列主题(topics)：

  • 使用BlazeRouter进行交互操作(Interactive)

  • 使用面向目标的选择(Object-Oriented Selection)

  • 选择过滤器工具条(Selection Filter Toolbar)


Interacting with BlazeRouter

使用BlazeRouter的交互操作(Interacting)

BlazeRouter的界面(interface)和交互方式(interaction)与其它的Windows™ 的应用程序(applications)，包括PowerPCB 和 PowerBGA，是类似的。你能够在 BlazeRouter 中交互地使用键盘(keyboard)、菜单(menus)、工具条(toolbars)和快捷菜单(shortcut menus)。第一课的这一小节将讨论：

  • 位置指示器的显示(Pointer Position Display)

  • 键盘(Keyboard)、菜单(Menus)和工具条(Toolbars)的使用

  • 标准工具条(Standard Toolbar)的使用

  • 取消命令(Canceling Commands)和动作(Actions)

  • Undo/Redo

  • 重复(Repeat)

  • 快捷菜单(Shortcut Menus)

  • 使用Pan、Zoom和Scroll


Pointer Position Display

光标位置(Pointer Position)显示

当你在工作区域内移动光标时，它的位置将以相对于原点(origin)的绝对坐标的X和Y数据，显示在屏幕右下角的状态条(status bar)内。

  1. 将光标放在设计的某一个位置，注意可以从状态条(status bar)中读出坐标数据。

  2. 在工作区域内移动光标，注意观察其X和Y的数据是怎样变化的。


Using the Keyboard, Menus, and Toolbars

使用键盘(Keyboard)、菜单(Menus)和工具条(Toolbars)

BlazeRouter 使用标准的 Windows 风格的菜单(menus)、快捷菜单(shortcut menus)、快捷键(shortcut keys)和工具条(toolbars)执行命令。

BlazeRouter 具有数字键盘快捷(keyboard shortcuts)方式，开始正常的命令和执行程序。通过本教程，你将使用这些快捷方式(shortcuts)，而不是使用鼠标，改变设置或命令的执行。 Windows标准的快捷键(shortcut keys)同样有效，例如 Alt-F 打开文件菜单(File Menu)。


Toolbars

工具条(Toolbars)

BlazeRouter 使用标准的 Windows工具条(toolbars) (一些按钮的集合，各个按钮有图像显示，表示有效的命令)。当你第一次启动 BlazeRouter 标准的工具条(standard toolbar)位于菜单条(menu bar)的下面。你能够通过标准的工具条(standard toolbar)的按钮，或者按查看(View)菜单上的命令，打开其它的 BlazeRouter 工具条(toolbars)用于指定的命令集合。在本教程中，你可以同时使用这些方法。


Using the Standard Toolbar

使用标准的工具条(Standard Toolbar)

BlazeRouter 标准的工具条(standard toolbar)包含一些按钮(buttons)，它们代表了在BlazeRouter中一些有效的命令。第一课的这一节将讨论标准的工具条(standard toolbar)，包括：

  • 打开和关闭标准的工具条(Standard Toolbar)

  • 浮动的(Floating)和固定的(Docking)的标准工具条(Standard Toolbar)

  • 在标准工具条(Standard Toolbar)上的命令


Opening and Closing the Standard Toolbar

打开(Opening) 和关闭(Closing)标准的工具条(Standard Toolbar)

为了打开(open)和关闭(close)标准的工具条(standard toolbar)：

  • 按 View，指向 Toolbars，然后再按 Standard Toolbar。


Floating and Docking the Standard Toolbar

浮动的(Floating) 和 固定的(Docking)标准工具条(Standard Toolbar)

BlazeRouter的工具条(toolbars)是 浮动的工具条(floating toolbars) 工具条(toolbars)能够被不固定 (undock)在应用程序窗口(application window)的某一边，放置在屏幕的任何地方。 为了浮动(float) (不固定(undock))工具条(toolbar)，你可以

  • 按下并按住鼠标左键在工具条的 grab bars 在工具条(toolbar)的左面的两根竖直(vertical)、平行线(parallel lines)， 拖动(Drag)工具条(toolbar)到一个新的位置，然后松开鼠标左键。这就是被称为 拖放(drag and drop)。

或者

  • 在工具条(toolbar)的grab bars上双击鼠标左键，

返回工具条(toolbar)到固定的状态(docked state)；反之亦然。

  • 拖放(Drag and drop)它返回到应用程序窗口的一边 ，

或者

  • 在工具条(toolbar)的标题条(title bar)上双击鼠标左键 (这时候它的名称将出现)。

你能够采用同样的方法管理所有 BlazeRouter 的工具条(toolbars)。


Commands on the Standard Toolbar

在标准工具条(Standard Toolbar)上的命令(Commands)

以下是在工具条(toolbar)中有效的命令：

按钮 | 功能描述
OpenFile.gif (241 bytes) Open File | 打开 Open BlazeRouter Design 对话框。这与按文件(File)菜单下的打开(Open)命令功能相同。
Save.gif (195 bytes) Save File | 打开 Save BlazeRouter Design 对话框。这与按文件(File)菜单下的保存(Save)命令功能相同。
Print1.gif (211 bytes) Print | 打印(Prints)设计文件。
layers.gif (440 bytes) Layer List | 显示(Displays)当前有效层，也用于选择一个新的层。
Props.gif (202 bytes) Properties | 对于当前被选择的目标，打开 Properties 对话框。
InPlaceQ.gif (184 bytes) In-Place Query | 打开或关闭 In-Place Query 方式切换开关。
Cycle.gif (180 bytes) Cycle | 在光标附近对于可选择的目标循环选择。它与按Tab 键的功能相同。
SelFilt.gif (201 bytes) Selection Filter | 打开 Selection Filter 工具条。
Routing.gif (204 bytes) Routing | 打开 Routing 工具条。
Undo.gif (223 bytes) Undo | 撤消最后一个命令或最后一个动作的结果。
Redo.gif (222 bytes) Redo | 恢复被撤消的最后一个命令或最后一个动作的结果。
Repeat.gif (178 bytes) Repeat | 重复最后一个命令。
Zoom.gif (201 bytes) Zoom | 打开或关闭 Zoom 方式切换开关。
Board.gif (201 bytes) Board | 调整显示比例到最大限度地显示整板的内容。
FullScrn.gif (198 bytes) Full Screen | 打开或关闭 Full Screen 方式切换开关。
CommWind.gif (206 bytes) Command Window | 打开或关闭 command 窗口。
ProjExpl.gif (210 bytes) Project Explorer | 打开或关闭 project explorer 窗口。
NavWind.gif (199 bytes) Navigation Window | 打开或关闭 navigation 窗口。
HelpPane.gif (218 bytes) Help Pane | 打开或关闭 Help 窗口。
Help.gif (202 bytes) What's This | 进入 What's This 帮助方式，在屏幕的，某个区域按鼠标得到有关区域内容的详细信息。


Canceling Commands and Actions

取消命令(Commands)和动作(Actions)

你能够在任何时候通过按Esc键或按鼠标右键，从弹出的菜单的快捷菜单中选择Cancel，取消当前的命令(command)或操作过程(sequence)。

注意： 你不能使用 Esc 键取消或停止自动布线器的操作。


Undo and Redo

撤消(Undo) 和 恢复(Redo)

在正常操作期间，撤消(Undo)和恢复(Redo)能够保存你工作的步骤，如果你做错了什么，或者你希望尝试新的命令。

  • 按 Edit 菜单上的 Undo，或者按标准的(standard) 工具条上的 Undo，将倒退你上一次命令或几次命令执行的结果。

  • 按 Edit 菜单上的 Redo，或者按标准的(standard) 工具条上的 Redo，将倒退你上一次命令或几次命令撤消(Undo)的结果。。


Repeat

重复(Repeat)

重复(Repeat)命令重复你上次点击键盘的过程。

  • 按 Edit 菜单上的 Repeat，或者按标准的(standard) 工具条上的 Repeat ，将重复执行上一次执行的命令。


Shortcut Menus

快捷菜单(Shortcut Menus)

BlazeRouter 具有上下文相关(context-sensitive)的 快捷菜单(shortcut menus) 菜单列出了所有可能执行的命令、且基于被选择的目标(object)。 选择一个目标(object)，然后按鼠标右键，打开适当的快捷菜单(shortcut menu)。

为了预览一些快捷菜单(shortcut menus)：

  • 选择一个元件(component)，然后按鼠标右键。

  • 选择一个过孔(via)，然后按鼠标右键。

  • 选择另一个目标(object)，然后按鼠标右键。

  • 选择一些目标(objects)的组合，如元件(components)和导线(traces)，然后按鼠标右键。

注意快捷菜单(shortcut menu)中的咳选择内容是怎样变化的。


Using Pan, Zoom, and Scroll

使用取景(Pan)、缩放(Zoom)和滚动(Scroll)

现在有几种方法可以确定和管理工作区域中设计的中心位置，包括使用鼠标和键盘。在这个练习中，你将使用鼠标。

  • 对于两键鼠标的操作，在标准工具条(standard toolbar)上的缩放(Zoom)，能够打开或关闭缩放(Zoom)方式(mode)。在缩放(Zoom)方式(mode)下，光标将改变为一个放大镜(magnifying glass)。

  • 对于三键鼠标的操作，使用鼠标中间键，缩放(Zoom)方式(mode)总是有效的。

  • 对于具有滚动轮按钮(wheel button)的鼠标，你能够结合使用滚动轮按钮(wheel button)的快捷键，进行滚动(scroll)和缩放(zoom)。

取景(Pan)和缩放(Zoom)功能还可以在查看(View)菜单下使用命令、使用数字小键盘(numeric keypad)以及使用Windows的滚动条(scroll bars)，使其有效。

选择一个链接，继续：

两键鼠标

三键鼠标

具有滚动轮按钮(Wheel Button)的鼠标


Zooming with a Two-Button Mouse

使用两键鼠标进行缩放(Zooming)

为了进行缩放(zoom)：

  1. 按标准(standard)工具条(toolbar)上的 Zoom 图标。

  2. 放大(Zoom in)。

怎样操作(How?) (按在怎样操作?(How?) 以便得到更加详细的信息)。

a. 在你希望看到的工作区域中的某一区域的中心，按下并按住鼠标左键。

b. 向上拖动光标，移动鼠标远离选择的中心。一个动态的矩形将附在移动的光标点上。

c. 当矩形区域覆盖了你希望查看的区域后，松开鼠标按键，完成操作。

  3. 缩小(Zoom out)。重复步骤 2，但是拖动光标向下。一个实线的矩形标示当前的工作区域视图大小，同时出现一个动态矩形，它表示当前缩放(Zoom)相对与新的缩放(zoom)水平的比例大小。

  4. 使用缩放方式(Zoom mode)进行实践。为了得到原始的视图，按View 菜单下的 Extents，或者按标准的(standard)工具条(toolbar)上的 Board。

  5. 按 标准的(standard) 工具条(toolbar)上的Zoom，关闭缩放(Zoo)方式。


Panning with a Two-Button Mouse

使用两键鼠标进行取景(panning)

使用两键鼠标进行取景(Panning)需要你使用键盘。为了取景(pan)：

  1. 移动光标到工作区域中你希望的新的视图的中心。

  2. 不要移动光标，按 Insert 键，第一步中光标附近的区域将成为新的视图的中心区域。


Zooming with a Three-Button Mouse

使用三键鼠标进行缩放(Zooming)

为了进行缩放(zoom)：

  1. 放大(Zoom in)。

怎样操作(How?) (按在怎样操作(How?) 上，以便得到更加详细的信息)。

a. 在你希望看到的工作区域中的某一区域的中心，按下并按住鼠标中间键。

b. 向上拖动光标，移动鼠标远离选择的中心。一个动态的矩形将附在移动的光标点上。

c. 当矩形区域覆盖了你希望查看的区域后，松开鼠标按键，完成操作。

  2. 缩小(Zoom out)。重复步骤 1，但是拖动光标向下。一个实线的矩形标示当前的工作区域视图大小，同时出现一个动态矩形，它表示当前缩放(Zoom)相对与新的缩放(zoom)水平的比例大小。

  3. 使用缩放方式(Zoom mode)进行实践。为了得到原始的视图，按View 菜单下的 Extents，或者按标准的(standard)工具条(toolbar)上的 Board。


Panning with a Three-Button Mouse

使用三键鼠标进行取景(Panning)

为了取景(pan)：

  1. 指向新的视图中心。

  2. 中间按键(Middle-click) 按鼠标中间键。 使用三键鼠标，你不需要使用缩放(Zoom)进行取景(pan)。


Smooth Scrolling with a Three-Button Mouse

使用三键鼠标平滑地滚动(Smooth Scrolling)

为了平滑地滚动(scroll smoothly)：

  1. 按下并按住 Shift。

  2. 按下并按住鼠标中间键。

  3. 移动光标到滚动条上，一个小的白色箭头标记(white vertex)将出现，它的第一个点在滚动的原始点，另一个顶点标记(vertex)作为滚动的速度定义， 一个从顶点到周边的短线(short line)，开始平滑地滚动，为了增加滚动的速率，从周边向外移动光标并延长线段。


Zooming with a Wheel Button

使用鼠标滚动按钮进行缩放(Zooming)

为了进行缩放(zoom)：

  1. 按下并按住 Ctrl 键。

  2. 向上转动滚动轮 (向远离你的方向) 缩小(zoom in)。

  3. 向下转动滚动轮 (向返回你的方向) 放大(zoom out)。


Scroll with a Wheel Button

Scroll with a 使用Wheel Button

为了竖向(vertically)滚动(scroll)：

  1. 向上转动滚动轮 (向远离你的方向) 向上滚动(scroll up)。

  2. 向下转动滚动轮 (向返回你的方向) 向下滚动(scroll down)。

为了横向(horizontally)滚动(scroll)：

  1. 按下并按住 Shift 键。

  2. 向上转动滚动轮，向左滚动。

  3. 向下转动滚动轮，向右滚动。


Using Object-Oriented Selection

使用面向目标(Object-Oriented)的选择

你能够通过将光标放在目标(object)上，然后按鼠标键选择任何目标(object) (例如元件(component)、布线(route)、网络(net)或者设计中的任何其它项目(item)) 。

  1. 指向一个元件外框(component outlines)，然后按鼠标左键。这称为选择(selecting) 一个目标(object)。当这个元件(component)被选中后，它将以被选择的颜色(selection color)显示。

  2. 指向另一个目标(object)，如过孔(via)或导线(trace)，然后按键选择它，新的目标(object)被选择，而以前被选择的目标(object)将不再被选择。

  3. 为了不选择(deselect)所有被选择的目标(objects)，移动光标到设计中没有任何目标(object)的区域中，按鼠标键。所有被选择(selected)的内容(items)将不再被选择(deselected)。

第一课的这一节还将讨论：

  • 循环选择(Cycle Pick)

  • 多项选择(Multiple Selection)

  • 区域选择(Area Selection


Cycle Pick

循环选择(Cycle Pick)

在一个密度很高的区域内，选择一个特定的目标也许要尝试多次才能完成。为了避免多次无效的选择，你可以接受第一得到的选择目标，然后通过循环(cycle)方式，找到在那个地方附近你需要选择的目标。

  1. 在工作区域内，指向 U1的管脚(Pin) 28，然后选择它，U1 是板子的底部中间的一个大的 SOIC 元件i。管脚(Pin) 28 是在U1顶部左边的管脚。

  2. 按 Tab键，或者按标准(standard) 工具条上的 循环(Cycle) 图标，循环出现在管脚(Pin) 28 附近各个可以选择的目标，当你希望选择的目标出现时，停止循环(cycling)操作。


Multiple Selection

多项选择(Multiple Selection)

你能够使用标准的 Windows Ctrl 结合功能，同时选择多个目标(objects)。

  1. 在没有选择任何目标的情况下，选择工作区域中的一个元件(component)。

  2. 光标指向另一个元件(component)，按下并按住 Ctrl 键，然后再按鼠标左键。这另一个元件(component)被添加到被选择的队列中去了。

  3. 使用 Ctrl 键，然后再按鼠标左键，被选择的这个元件(component)又不被选择了(deselected)。


Area Selection

区域选择(Area Selection)

选择多于一个目标的另一个方法是区域选择(area selection)。

  1. 指向希望选择的多个目标的一个拐角。

  2. 按下并按住鼠标左键。

  3. 拖动对角指示点直到所有希望选择的目标都在这个矩形区域内。

  4. 松开鼠标左键完成区域选择(area selection)。所有在这个选择矩形区域内的目标将都被选中。


Selection Filter Toolbar

选择过滤器(Selection Filter)工具条(Toolbar)

你也许希望主要关注某些特定的目标(objects)。例如，你也许希望仅仅选择元件(components)。使用选择过滤器(Selection Filter)工具条(toolbar)约束选择。选择(Selection)工具小允许你指定哪些设计目标(objects)可以被选择。在工具条(toolbar)上被关闭的(turned off)的目标(objects)将不被选择。

第一课的这一节还将讨论：

  • 打开选择过滤器(Selection Filter)工具条(Toolbar)

  • 快捷选择(Selection Shortcuts)

  • 选择某一类型(One Type)的所有目标(Objects)


Opening the Selection Filter Toolbar

打开(Opening)选择过滤器工具条(Selection Filter Toolbar)

为了打开(open)选择过滤器工具条(Selection Filter toolbar)：

  1. 按 View，指向 Toolbars，然后按 Selection Filter Toolbar。同样你也可以按 标准的(standard) 工具条(toolbar)上的 Selection Filter 。

  2. 按 选择过滤器(Selection Filter) 工具条(toolbar)上的 Anything，能够选择所有可以选择的目标(objects)。然后按选择过滤器(Selection Filter) 工具条(toolbar)上的 Components ，则不能够选择元件(component)。

  3. 指向工作区域中的一个元件外框(component outline)，并试图选择它，元件(component)并不能被选择。

  4. 指向非元件(component)的其它目标(object)，并且选择它，这些其它的目标(objects)都能够被选择。

  5. 在工作区域的任何空白的地方按一下鼠标，将不选择任何目标(objects)。


Selection Shortcuts

快捷选择(Selection Shortcuts)

如果当没有任何目标被选择时，你按鼠标右键，一个包含快捷选择方式清单的菜单将出现。选择其中一个快捷方式(shortcuts)，将更新选择过滤器(Selection Filter)工具条为仅仅包含快捷方式菜单(shortcut menu)中的某一项或几项内容(item(s))。

  1. 在没有任何目标被选择，并且选择过滤器(Selection Filter)工具条(toolbar)打开的情况下，按鼠标右键，一个快捷菜单(shortcut menu)将出现在鼠标点击的地方。

  2. 按 Select Nets ，并且注意选择过滤器(Selection Filter)工具条(toolbar)是怎样更新的，是更新为仅仅选择网络(nets)。

  3. 再按鼠标右键，选择 Select Anything，选择(Selection)工具条将更新为允许选择任何目标(object)(除了网络(nets)、管脚对(pin pairs)和边(edges)，以及缺省的内容)。


Selecting All Objects of One Type

选择某一类型(One Type)的所有目标(Objects)

你能够使用选择过滤器(Selection Filter)工具条，或者通过选择快捷键，加速选择所有类型中的某一类型(typer)的目标(object)。

  1. 在没有选择任何目标的情况下，按鼠标右键(right-click)，然后选择 Select Components。

  2. 再按鼠标右键，选择 Select All，则可以选择设计中所有的元件(components)。


Lesson 2: Using Dockable Panes

第二课：使用可固定的面板(Dockable Panes)

在 BlazeRouter 中，有四个可固定的面板(dockable panes)，各个都提供了指定的功能。这些面板(panes)是 项目总览(project explorer)、领航窗口(navigation window)、帮助窗口(Help window)和命令窗口(command window)。

在继续操作之前，如果你还没有启动 BlazeRouter，请启动并打开一个设计文件。

怎样操作（How?）

  1. 按 Start，指向Programs，指向 PADS-PowerPCB，然后选择 BlazeRouter。

  2. 按 File 菜单上的Open，或者按 标准的(standard) 工具条上的Open。如果对话框出现提示你保存当前的设计文件，选择 No。Open BlazeRouter Design 对话框将出现。

  3. 在 Open BlazeRouter Design 对话框中，选择 preview.pcb f文件，然后按 Open。

这一课将覆盖以下主题：

  • 使用项目总览(Project Explorer)

  • 使用帮助窗口(Help Window)

  • 使用领航窗口(Navigation Window)

  • 使用命令窗口(Command Window)


Using the Project Explorer

使用项目总览(Project Explorer)

项目总览(project explorer)是一个层次化(hierarchical)的数据浏览器(database browser)。它提供了上下文有关(context-sensitive)读取设计目标(design objects)和规则(rules)的能力。当你第一次打开 BlazeRouter时，它位于工作区域的右边。这个窗口有四个表格：目标视图(Object View)表格、内容(Contents)表格、索引(Index)表格和搜索(Search)表格。

在继续操作之前，如果项目总览(project explorer)还没有打开，打开它。

怎样操作(How)?

  • 按 标准的(standard) 工具条(toolbar)上的Project Explorer，或者按 View 菜单上的Project Explorer 。

第二课的这一节还将讨论：

  • 使用目标视图(Object View)表格

  • 扩展(Expanding)树状结构(Tree)

  • 收缩(Collapsing)树状结构(Tree)

  • 使用拖放(Drag and Drop)

  • 重命名网络类型(Net Class)


Using the Object View Tab

使用目标视图(Object View)表格

目标视图(Object View)表格提供了设计数据的交互视图，在这个视图中，设计数据以层次化的树状格式出现，类似在Windows Explorer中文件的存储结构。设计数据通过目标类型(object type)进行组织，如层(Layers)、元件(Components)、网络(Nets)和过孔(Vias)在层次结构的最高层，扩展这些目标树(object tree)，就可以看到目标(object)的下属成员(subordinate members)。


Expanding a Tree

展开(Expanding)树状结构(Tree)

为了展开(expand)一个树状结构(tree)：

  1. 在目标列表(object list)的 Layers 的左边，按 加号(Plus Sign) (+)，展开的树(tree expands)将显示 electrical layers和general layers两个分支。

  2. 在目标列表(object list)的 Electrical Layers 的左边，按加号(Plus Sign) (+)，The Plus Sign next to Electrical Layers 下面的附加的信号层将具有 减号(Minus Sign) (-) 表示它是分支的结束。打开的分支将显示设计中所有的 electrical layers。


Collapsing a Tree

收缩(Collapsing)树状结构(Tree)

为了收缩(collapse)一个树状结构(tree)：

  1. 在目标列表(object list)的 Electrical Layers 的左边，按 减号(Minus Sign) (-)，Electrical Layers 树状分支将收缩(branch tree collapses)。

  2. 在目标列表(object list)的 Layers 的左边，按 减号(Minus Sign) (-)，Layers 树将收缩(tree collapses)。


Using Drag and Drop

使用拖放(Drag and Drop)

你能够使用 Windows 标准的拖放(drag and drop)功能，建立和修改目标查看(Object View)表格中的设计目标(objects)。在这个练习中，你将可以建立在目标查看(Object View)表格中的一个网络类型(net class)。

  1. 在列表中的 Nets Objects 的左边，按 加号(Plus Sign) (+)，树状结构将扩展(tree expands)，并显示几个分支(branches)。

  2. 在 Net Objects 树(tree)的 Nets的左边，按 加号(Plus Sign) (+)，网络(Nets)的分支(branch)将扩展为显示设计中所有的网络(nets)。

  3. 滚动网络(nets)的列表显示，然后选择网络(net) A00，不要扩展 A00 的分支(branch)。注意，网络在工作区域内被选择了。

  4. 滚动列表，按 Shift，然后按网络(net) A14，选择这个网络。

  5. 拖放(Drag and drop)被选择的网络到 Net 树(tree)的 Net Classes 分支。

注意： 如果A00的分支被扩展，你不能拖放(drag and drop)这个被选择的网络。确信分支是收缩的(collapsed)。

怎样操作(How?)

a. 对被选择的网络，按下并按住鼠标左键。

b. 拖动光标到 Net 树(tree)的 Net Classes 分支。

网络类型(Net Classes)分支在项目总览(project explorer)中是可见的(visible)。拖动(Drag)你的选择到项目总览(project explorer)的顶部，强迫滚动列表，直到允许你放置 (drop)你的选择内容到网络类型(Net Classes)分支为止。

分支将被扩展，你将看到网络类型(net class)将建立了 Class1。

  6. 打入 Address 作为网络类型(net class)的名称(name)，然后按 Enter。


Renaming a Net Class

重命名(Renaming)网络类型(Net Class)

如果你输入了一个错误的名称，或者在重命名网络类型(net class)后按了 Enter，你还可以对它重新命名(rename)。

  1. 选择 Class1 网络类型(net class)。

  2. 按鼠标右键，然后按 Rename，Class1 的名称将高亮，并且你将处于编辑状态(edit mode)。

  3. 打入 Address，然后按Enter，重命名网络类型(net class)。


Using the Help Window

使用帮助窗口(Help Window)

BlazeRouter 为你提供了一个目标导向(goal-oriented)的在线帮助系统。它提供了程序上的和上下文有关(context-sensitive)的信息。BlazeRouter的帮助系统(Help system)是嵌入的，这就意味着帮助窗口(Help window)能够固定(docks)在BlazeRouter的界面(interface)内。

另外，目录(table of contents)、索引(index)和搜索(search)系统是被嵌入(embedded)到项目总览(project explorer)中的。当你选择了这些表格中的主题后，这些主题将出现在帮助窗口(Help window)中。

第二课的这一节将讨论：

  • 使用嵌入的(Embedded)的帮助(Help)


Using Embedded Help

使用嵌入的(Embedded)帮助(Help)

为了显示帮助(Help)主题：

  1. 在项目总览(Project explorer)，按 Contents 表格。有关BlazeRouter的 Help 内容将出现了。

  2. 在 Contents 表格中的 Introduction to BlazeRouter 图书标记上双击鼠标，这本书将扩展，显示在书中有效的主题。

  3. 按 QuickStart，帮助窗口(Help window)将出现(如果此时是关闭的)，然后显示 "快速启动(QuickStart)"主题。

  4. 在 Contents 表格的 User Interface 图书标记上双击鼠标，在 Using Menus 图书标记上双击鼠标。

  5. 选择 "使用文件菜单(File Menu)" 主题，帮助窗口(Help window)将显示 "使用文件菜单(File Menu)" 主题。

  6. 按 Help 工具条上的 Back ，将返回到前面显示的"快速启动(QuickStart)"主题。

  7. 按 Help 工具条上的 Forward，将又返回到前面显示的"使用文件菜单(File Menu)" 主题。


Using the Navigation Window

使用领航窗口(Navigation Window)

领航窗口(navigation window)提供了有关设计的交互显示功能。 它还能够交互地显示被选择的目标(objects)，如过孔(vias)和元件管脚(component pins)等。

在继续操作之前，如果领航窗口(navigation window)还没有打开，打开它。

怎样操作(How)?

  • 按 标准的(standard) 工具条(toolbar)上的 Navigation Window，或者按 View 菜单上的 Navigation Window 。

在领航窗口(navigation window)中的视图将实时地显示在工作区域内光标附近的内容。

  • 指向工作区域中设计的中心，慢慢地移动光标。领航窗口(navigation window)将动态地显示工作区域中相关的取景(pans)的内容。

第二课的这一节将讨论：

  • 改变在领航窗口(Navigation Window)中的缩放比例(Zoom Level)

  • 在领航窗口(Navigation Window)中的交互显示


Changing the Zoom Level in the Navigation Window

改变在领航窗口(Navigation Window)中的缩放比例(Zoom Level)

你能够修改领航窗口(navigation window)中相对工作区域的缩放比例(zoom level)。为了改变缩放比例(zoom level)：

  1. 指向工作区域中设计的中心，然后按 F5，在领航窗口(navigation window)中的缩放比例(zoom level)将增加，按下并按住 F5 将平滑地缩放(smooth zoom)。

  2. 指向工作区域中设计的中心，然后按 F6，在领航窗口(navigation window)中的缩放比例(zoom level)将减少，按下并按住 F6 将平滑地缩放(smooth zoom)。


Alternate Views in the Navigation Window

在领航窗口(Navigation Window)中的交互视图操作

领航窗口(navigation window)还交互地显示有些数据目标(objects)的视图、自动地调整缩放的比例(zoom level)，以便能够将被选择的目标(objects)适当地放置在领航窗口(navigation window)的视图区内。

为了显示一个焊盘((pad)的交互视图操作：

  1. 在没有任何目标被选择的情况下，在工作区域中按鼠标右键，然后选择 Select Pins/Vias。

  2. 在设计的下面边沿，选择 J1 连接器(connector)上的任意一个管脚(pin)，领航窗口(navigation window)将交叉显示焊盘(pad)和它的钻孔(drill)的视图。

  3. 在工作区域的空白区域按鼠标键，注意领航窗口(navigation window)将返回到正常的视图情况。

为了改变被选择目标(object)的缩放比例(zoom level)：

  1. 在没有任何目标被选择的情况下，在工作区域中按鼠标右键，然后选择 Select Components。

  2. 选择任意一个元件(component)，并且注意被选择目标(object)的缩放比例(zoom level)调整，以便适应在领航窗口(navigation window)中的显示。

  3. 在工作区域的空白区域按鼠标键，注意领航窗口(navigation window)将返回到正常的视图情况。


Using the Command Window

使用命令窗口(Command Window)

命令窗口(command window) 具有许多功能，分成三个表格：状态(Status)表格、宏(Macro)表格 和 应用程序(Script)表格。状态(Status)表格显示在正常操作期间的系统信息。宏(Macro)表格允许你记录(record)、执行(play back)和编辑(edit)宏。基本的(Basic)表格是一个 Visual Basic® 应用程序开发环境(script development environment)，用于用户开发 VBScripts®。在本教程中，你将仅仅学习使用状态(Status)表格。

在继续之前，如果还没有打开命令窗口(command window)，请打开它。

怎么操作(How)?

  • 按 标准的(standard) 工具条(toolbar)上的 Command Window ，或者按 View 菜单上的 Command Window。

第二课的这一节将讨论:

  • 使用状态表格(Status Tab)

  • 进入PADS的网页(Web Site)


Using the Status Tab

使用状态(Status)表格

命令窗口(command window)中的状态(Status)表格记录了在操作过程中的系统信息。如果有必要，这些信息还包含连接到关联的目标(objects)。例如，当你打开 preview.pcb设计文件时，在状态(Status)表格中记录了联接的文件。

为了再打开文件：

  • 按 状态(Status)表格中联接的文件: C:\padspwr\files\preview.pcb，如果一个对话框出现提供你保存当前的设计文件，选择 No。设计将被重新加载。

你还能够使用联接查看来自BlazeRouter各种各样的报告。

  1. 按 File，指向Reports，按 Design。然后一个报告就被建立，一个新的行将出现在状态(Status)表格中，并且联接到设计报告文件。

  2. 按联接的报告文件，报告文件将出现一个新的页面在状态(Status)表格中。使用滚动条(scroll bars)或鼠标的滚动轮按钮(wheel button)滚动看到设计报告。

  3. 按 状态表格(Status Tab) 工具条(toolbar)上的Back，将关闭当前的页面，并且返回到程序过程日志(session log)状态。


Accessing the PADS Web Site

进入 PADS 的网页(Web Site)

在状态表(Status tab)上的领航员(Navigation)看起来就象一个 Internet 浏览器。从命令窗口的状态表(Status tab)上的领航员(Navigation)，你可以直接进入PADS 的网页(Web site)。当你第一次打开 BlazeRouter 后，状态表(Status tab)显示 PADS网页主页的拷贝。你能够通过这个领航员(Navigation)带你进入PADS的网页(Web site)，当然你的互联网是连接的话。

为了转到在命令窗口中的 PADS网页(Web site) ：

  1. 按在 Status Tab 工具条(toolbar) Back 一次或多次，直到 PADS 的网页(Web site)出现在状态表(Status tab)中。

  2. 如果你能够连接互联网，你将能够通过点击鼠标直接进入 PADS 的网页(Web site)的主页。


Lesson 3: Design Preparation

第三课：设计准备(Design Preparation)

使用 BlazeRouter 进行全自动布线的下一个步骤是建立基本的设计标准(criteria)。

在继续操作之前，启动 BlazeRouter ，如果现在它还没有运行，并且打开一个设计。

怎样操作(How)?

  1. 按 Start，然后指向 Programs，指向PADS-PowerPCB，然后选择 BlazeRouter。

  2. 按 File 菜单上的Open ，或者按标准的(standard) 工具条(toolbar)上的 Open。如果一个对话框出现提示你保存当前的设计文件，选择 No。Open BlazeRouter Design 对话框将出现。

  3. 在 Open BlazeRouter Design 对话框中，按 previewpreroute.pcb 文件，然后按 Open。

这一课将覆盖下列主题：

  • 设置测量的单位(Units of Measure)

  • 设置栅格(Grids)

  • 设置网络的可见性(Net Visibility)

  • 执行长度最短化(Length Minimization)

  • 设置(Assigning)全自动布线选项(Autoroute Options)

  • 保存设计文件的备份


Setting Units of Measure

设置测量的单位(Units of Measure)

使用选项(Options)对话框，你能够改变测量的单位(unit of measure)为英吋(inches)、密尔(mils) (缺省的设置)或者毫米(metric)为单位。为了打开选项(Options)对话框： dialog box:

  1. 按 Tools 菜单上的上 Options 。

  2. 按 Options 对话框的 General 表格。在这个表格设置设计单位(Design Units)。离开时当前的设计单位是 Mils。

  3. 按 OK，关闭Options 对话框。


Setting Grids

设置栅格(Grids)

BlazeRouter 具有四种工作栅格(grids)和显示栅格(grid)。BlazeRouter 使用四种类型的工作栅格(grids)以便进行设计：

栅格(Grid) | 目的(Purpose)
显示(Display) | 显示格点(dot grid)用于实际显示的辅助(visual aid)。
设计(Design) | 在BlazeRouter中，进行编辑时，建立最小的捕获(snap distance)距离。
测试点(Test Point) | 建立测试点的空间距离(spacing)和位置(location)。
过孔(Via) | 建立过孔(vias)的空间距离(spacing)和位置(location)。
扇出(Fanout) | 建立扇出(fanout)操作期间的过孔(vias)插入空间距离(spacing)和位置(location)。

在本教程中，你仅仅能够设置显示栅格(display grid)和一些工作栅格(working grids)。

在第三课的这一节好还将讨论：

  • 设置显示栅格(Display Grid)

  • 设置工作栅格(Working Grids)


Setting the Display Grid

设置显示栅格(Display Grid)

这个点状的(dot-type)栅格(grid)是可见的辅助(visual aid)格点。为了设置显示栅格(display grid)：

  1. 在工作区域中，当没有任何目标被选择的情况下，按 View 菜单下的 Properties 。同样，你也能够在选择 标准的(standard) 工具条(toolbar)上的 Properties。

  2. 按 Design Properties 对话框上的 Grid 表格，查看当前的设置。

  3. 在 Display 行的 Step 框内按鼠标，输入你希望使用的显示栅格(display grid)值。

  4. 为了关闭显示栅格(Display Grid)，在Display 行，设置 Step 框，为最小的值，如 10。这并不是实际的显示被关闭，这只是你不能看到它，除非你不断地缩放(zoom)。


Setting the Working Grids

设置工作栅格(Working Grids)

使用Design Properties 对话框，各个栅格(grid)之间的空间距离(spacing)，可以单独被设置。为了使用BlazeRouter基于形状(shaped-based)的先进技术功能，在你的设计中关闭捕获栅格(Snap grid)。这将使你保持栅格(grid)的数值，BlazeRouter 在布线期间将忽略这些。

为了在设计栅格(design grids)中关闭捕获到栅格(snap to grid)：

  1. 在 Design Properties 对话框中，按 Grid 表格。

  2. 清除Design、Test Point、Via 和 Fanout 行中Snap的确认框。

  3. 按 OK，关闭对话框，应用改变。


Setting Net Visibility

设置网络的可见性(Net Visibility)

你需要更新你的一些设计文件，以便它们能够在BlazeRouter进行全自动布线。在你能够进行平民层网络(plane nets)布线之前，你需要设置一些平面层网络(plane nets)的显示。

  1. 按 View 菜单上的 Nets。View Nets 对话框将出现。

  2. 在 Traces 列选择确认框，打开下列网络(nets)布线显示：+12V、+5V和 GND。

  3. 如果有必要，对于各个平面层网络(plane nets)，按 All Except Connected to Plane 限制网络的显示，仅仅为被布线的网络。

  4. 按在 Colors of Pads、Vias和Unroutes 中的颜色方块，关闭 +5V 网络(net)的显示颜色。

  5. 选择 OK ，应用改变，关闭 View Nets 对话框。


Performing Length Minimization

执行长度最短化(Length Minimization)

网络(nets)的更新显示刷新了没有被长度最短化的平面层网络 (plane nets)。为了执行整个板子的网络(net)进行长度最短化(length minimization)：

  • 按 Tools 菜单上的 Length Minimization 。


Assigning Autoroute Options

设置(Assigning)全自动布线器的选项(Options)

有几个选项(options)将指定 BlazeRouter 将怎样进行全自动布线，包括布线角度(routing angle)、焊盘进入性质(pad entry quality)、扇出形状(fanout pattern)和可测试性(testability)等。

第三课的这一节将讨论：

  • 设置(Assigning)布线选项(Routing Options)

  • 设置(Assigning)扇出选项*Fanout Options)


Assigning Routing Options

设置(Assigning)布线选项(Routing Options)

布线选项(Routing options)允许你指定布线角度(routing angle)、焊盘进入性质(pad entry quality)和倒角选项(miter options)。

  1. 在 Tools 菜单上，按 Options，然后再按 Routing 表格。布线选项(Routing options)将出现。

  2. 在 Routing angle 区域，按 Diagonal。

  3. 在 Pad entry quality 区域，清除 Soft first corner rules 和 Allow any angle exit 确认框，建立焊盘进入(pad entry)的参数(preferences)。

  4. 保持 Miters 区域设置为缺省的 Ratio 为 3.5 和 Angle 为180。


Assigning Fanout Options

设置(Assigning)扇出选项(Fanout Options)

扇出选项(Fanout options)允许你指定扇出队列(fanout alignment)、空间距离(spacing)、方向(direction)以及其它有关扇出图形(fanout pattern)的设置。

  1. 在 Options 对话框内，按 Fanouts 表格。扇出选项(Fanouts options)将出现。

  2. 在 Alignment 区域，清除 Multi-Row 确认框，并且按 Aligned。

  3. 在 Direction 区域，按 Both sides。

  4. 在 Via Spacing 区域，按 Use Grid。

  5. 在 Pins 区域，清除 Signal 和 Unused 确认框，保持 Plane 确认框被选择。

  6. 使用 Fanout length 区域缺省的设置 (Unlimited 确认框被选择)，保持在 Sharing 区域中的所有确认框是被选择。

  7. 按 OK 关闭 Options 对话框，并且应用这些改变。


Saving a Copy of the Design

保存设计文件的备份

为了保存设计文件为新的文件：

  1. 按 File 菜单上的 Save As。Save BlazeRouter Design 对话框将出现。

  2. 找到 \padspwr\Files 目录，然后在 File Name 框中打入 previewpreblaze.pcb。

  3. 选择 Save。BlazeRouter 将保存改变，并将 previewpreblaze.pcb 作为当前的文件。


Lesson 4: Autorouting Your Design

第四课：全自动布线你的设计

你可以全自动布线整个设计或被选择的目标(objects)。在你能够进行整个设计的全自动布线之前，你必须首先定义策略(strategy)，然后进行BlazeRouter的全自动布线设计。

在你继续操作之前，启动 BlazeRouter ，如果它还没有启动的话，并打开 previewpreblaze.pcb设计文件。

怎样操作(How)?

  1. 按 Start，指向 Programs，指向 PADS-PowerPCB，然后选择 BlazeRouter。

  2. 按 File 菜单上的 Open，或者按标准的(sandard) 工具条(toolbar)上的 Open。如果一个对话框出现提示你保存当前的设计文件，选择 No。Open BlazeRouter Design 对话框将出现。

  3. 在 Open BlazeRouter Design 对话框中，选择previewpreblaze.pcb 文件，然后选择 Open。

这一课将覆盖下列主题：

  • 使用全自动布线命令(Autoroute Command)

  • 通过选择(Selection)全自动布线

  • 定义全自动布线策略(Autorouting Strategy)

  • 设置布线命令(Routing Order)

  • 开始全自动布线(Autorouting)

  • 使用暂停(Pause)、继续(Resume)和停止(Stop)

  • 保存设计文件的备份


Using the Autoroute Command

使用全自动布线命令(Autoroute Command)

你能够在一个操作中完成全自动布线整个设计，或者选择一些元件(components)或网络(nets)进行全自动布线。在你进行一个整个板子的全自动布线之前，你必须定义策略(strategy)。一旦你定义了策略(strategy)，你就可以进行前自动布线了。

对于选择的目标，你并不一定要定义策略，而进行全自动布线。


Autorouting by Selection

对于被选择的目标(Selection)全自动布线

BlazeRouter 对于你的设计提供了许多全自动布线方法。你可以选择一个元件(components)、网络(nets)或者管脚(pins)，进行各种布线类型(pass type)的全自动布线，或者对于被选择的目标(objects)进行全自动布线 ，或者你能够使用全自动布线命令对整个设计进行全自动布线。

第四课的这一节将讨论：

  • 对于被选择目标(Objects)执行各种类型(Pass Types)的布线

  • 使用全自动布线(Autoroute)的动作方式(Verb Modes)


Applying Pass Types to Selected Objects

对于被选择目标(Objects)执行布线类型操作(Pass Types)

BlazeRouter 允许你选择在设计中的目标(objects)，然后对被选择的目标(objects)进行扇出(Fanout)、布线(Route)或者优化(Optimize) 布线类型操作(pass type)。这为你提供了全自动布线过程的全面控制。

  1. 在没有任何目标被选择的情况下，在工作区域中按鼠标右键，然后选择 Select Components。

  2. 选择 U1，然后按下并按住 Ctrl 键，再选择 U2，添加到选择中。U1 和 U2 都是设计中心的大的 SOICs 元件。

  3. 对于被选择的 U1 和 U2，在工作区域中按鼠标右键，然后选择 Fanout，一会儿以后，元件的管脚(component pins)将扇出(dispersed)一些过孔(vias)，它们是根据前面课程中的扇出选项(Fanout options)中的设置进行的。

  4. 为了不选择 U1 和 U2，在设计的空白处按鼠标。所有被选择的项目将变成不被选择。


Using Autoroute Verb Modes

使用全自动布线(Autoroute)的动作方式(Verb Modes)

BlazeRouter 还提供了扇出(Fanout)、布线(Route)或优化(Optimize)等布线类型(pass type)的动作方式(Verb mode)，在这里 BlazeRouter应用的当前有效的命令，能够被重复执行。动作方式(Verb mode)意味着你不必重复选择目标(objects)，然后从快捷菜单(shortcut menu)中选择布线命令(Route command)。

  1. 打开 Routing 工具条(toolbar)，如果当前还没有被打开。

怎样操作(How)?

  • 按 标准的(standard) 工具条(toolbar)上的Route，或者按 View，指向 Toolbars，然后选择Routing Toolbar。

  2. 按Routing 工具条(toolbar)上的 Route Component，BlazeRouter 将被放置在 Route Component 动作方式(Verb mode)。

  3. 选择顶部的 SOIC (U2)。连接到 U2 的所有网络将被布自动布线。

  4. 指向设计的空白区域，按鼠标键将不选择 U2。

  5. 按 Routing 工具条(toolbar)上的 Select，关闭 Route Component 方式。


Defining an Autorouting Strategy

定义全自动布线(Autorouting)的策略(Strategy)

在你对整个设计尽心全自动布线之前，使用选项(Options)对话框中的策略(Strategy)表格定义布线策略(strategy)。你可以对你的设计选择一遍或多遍布线类型(pass types) 布线。在策略(Strategy)表格中，你还能够定义哪些元件(components)或网络(nets)需要布线(routed)。

为了打开策略(Strategy)表格：

  1. 按 Tools 菜单下的 Options。选项(Optionas) 对话框将出现。

  2. 按 策略(Strategy) 表格。策略选项(Strategy options)将出现。

第四课的这一节将讨论：

  • 使用布线类型(Pass Types)

  • 修改策略(Strategy)


Using Pass Types

使用布线的类型(Pass Types)

在 BlazeRouter中有几种布线类型(pass types)，各个设计为了不同的全自动布线的特定的功能，且命名就是根据其功能的。每遍布线(pass)包含了一个或几个子布线过程(subpasses)。

布线类型(Pass Type) | 目的(Purpose)
Split Pairs | 这个布线过程(pass)将分隔长的对角线(diagonal)的没有布的线为一个横向(horizonta)和一个竖向(vertical)的没有布的线，在顶点(vertex)插入一个过孔(via)。
Fanout | 这个布线过程(pass)将从SMD元器件的焊盘(pab)布出一段短的导线(traces)，并且连接到一个过孔(via)。
Patterns | 这个布线过程(pass)将诊断是否存在没有布线的图形(patterns)，可以采用类似 "Z" 或 "C" 的图形形状进行布线。
Route | 这个布线过程(pass)是一个核心布线过程，它用于完成所有连线的布线。
Optimize | 这个布线过程(pass)检查(previews)所有布的线的图形，并且试图提供布线图形的质量，减少过孔和导线的长度。
Miters | 这个布线过程(pass)对于所有的布线拐角，进行可能的倒角(miter)。
Test Point | 这个布线过程(pass)对于各个网络(net)进行可测试性(testability)分析，添加(adds)或指定(assigns)测试点(test points)，以期达到100% 的可测试性(testability)。

对于每一个设计，你可以使用各种布线类型(pass types)的结合。无论如何，许多PCB设计使用缺省的策略(strategy)进行布线，其中布线(Route)和优化(Optimize)是最基本的过程。


Modifying the Strategy

修改策略(Strategy)

当你第一次加载文件到 BlazeRouter时，缺省的策略(strategy)将被设置。对于本教程，有一个附加的策略(strategy)被传过去。特别的，当你添加扇出布线类型(Fanout pass type)到从设计中心的两个大的SOICs器件到分散的连接器(connections)既是如此。参见下一节，当你设置布线命令(routing order)时，添加扇出布线类型(Fanout pass type)。


Setting the Routing Order

设置布线命令(Routing Order)

使用布线命令(routing order)定义在BlazeRouter中的特别布线命令，包括需要布线的目标(objects)，或者对于指定目标(objects)的布线类型(pass type)限制等等。为了定义布线命令(routing order)：

  1. 在Options 对话框的 Strategy 表格中，选择Pass Type 行中的 Fanout，新的布线类型(pass type)将出现并高亮。确信你选择了整个行。

  2. 使用目标(object)列表，扩展 Components树，滚动列表，然后选择 U3。按下并按住 Shift ，然后选择 U7，设计中的U3 到 U7 都被选择。选择按钮有效。

  3. 按 Selected 添加元件(components)到布线命令(Routing Order)列表中。

  4. 在 Routing Order 列表中，选择 All Nets，然后选择Delete ，从Routing Order列表中，删除All Nets 。这将包括扇出操作(fanout operation)以外的所有其它的网络(nets)。

  5. 从Fanout 布线类型(pass type)选择 Pass 确认框。

  6. 选择 OK ，应用改变，关闭 Options 对话框。

  7. 为了不选择所有目标，指向工作区域的空白区域，按鼠标键。


Start Autorouting

开始全自动布线(Autorouting)

当各个全自动布线过程完成后，其结果将出现在命令窗口的状态(Status)表格中，如果命令还没有打开，打开它。

怎样操作(How)?

  • 按 标准的(standard) 工具条(toolbar)上的Command Window ，或者按 View 菜单上的Command Window。

一旦你定义了策略(strategy)，你就可以开始全自动布线命令。你可以：

  • 按 Routing 工具条(toolbar)上的Start Autorouting

或者

  • 按 F9.

或

  • 按 Tools，指向Autoroute，然后选择 Start。

一会儿以后，全自动布线过程将开始，程序的操作过程将出现在 BlazeRouter 窗口下面的状态(status)条上。当全自动布线完成后，将联接到命令窗口的状态(status)条上的一个布线报告文件。


Using Pause, Resume, and Stop

使用暂停(Pause)、继续(Resume)和停止(Stop)

在全自动布线期间，你能够在任何时候暂停(pause)、停止(stop)或继续(resume)全自动布线过程。它允许你检查当前的布线结果，看是需要改变你的策略还是继续进行当前的布线操作。

Pause | 试图暂停当前的全自动布线操作。全自动布线的过程被记录下来了。如果你继续恢复(resume)全自动布线，布线将从暂停的地方继续进行。
Resume | 在暂停后，重新启动全自动布线。
Stop | 推出当前的全自动布线。全自动布线过程被停止，过程不被记录。

第四课的这一节还将讨论：

  • 暂停(Pausing)和继续(Resuming)全自动布线Autoroute)


Pause and Resume the Autoroute

暂停(Pause)和继续(Resume)全自动布线(Autoroute)

注意：这个练习仅仅向你介绍了暂停(Pause)和继续(Resume)。你并不需要执行这些步骤，暂停布线。

  1. 在全自动布线期间，按 Routing 工具条(toolbar)上的 Pause Autorouting。同样，你也可以按 Tools，指向 Autoroute，然后按 Pause。全自动布线将暂停(pauses)，许多命令被取消。

  2. 执行 缩放(Zoom) 操作，看看当前的布线结果。

  3. 按 Routing 工具条(toolbar)上的Resume Autorouting，将继续(resume)布线操作。同样，你也可以按 Tools，指向 Autoroute，然后按 Resume。


Save a Copy of the Design

保存设计文件的备份

为了保存设计到你一个新的文件：

  1. 按 File 菜单上的Save As ，Save BlazeRouter Design 对话框将出现。

  2. 进入 \padspwr\Files 目录，在 File Name 框内打入 previewrouted.pcb。

  3. 选择 Save。BlazeRouter将保存改变后的设计文件，并且以previewrouted.pcb 为当前设计文件。

你已经完成了 BlazeRouter 的教程!


About

关于BlazeRouter的教程

Copyright © 2000 PADS Software, Inc。保留一切权利。如果没有PADS Software, Inc.的书面声明许可，这个文档的任何部分不可以用任何方式复印、重新出版、翻译到任何一种语言。

PADS Software, Inc. has taken due care in preparing this documentation. Nothing contained herein, however, modifies or alters in any way PADS Software's Terms and Conditions of Sale, by which this documentation was acquired, or increases in any way PADS Software's liability to the user.

注册商标

ActiveX 是Microsoft Corporation的注册商标。

Adobe Acrobat Reader 是Adobe Systems, Inc.的注册商标。

Microsoft 和 MS-DOS 是 Microsoft Corporation的注册商标。

Sax Basic Engine i是 Sax Software Corporation的注册商标。

VBScript、Visual Basic、 Visual C++、 Windows和Windows NT 是Microsoft Corporation的注册商标。

文档中所有提到的注册商标由各拥有版本的公司所有。


Warning

如果你使用提供的文件，请先备份这些文件，在开始教程之前，保存这些文件到另外的目录中。教程将定时地提示你保存设计文件，如果你保存了它们，你将覆盖了原始的设计文件。